﻿using AutoMapper;
using Models.SqlModel;
using Models.Table;
using Repositories.IRepository.IBussiness;
using Repositories.IRepository.IUnitOfWork;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Repositories.Repository.Bussiness
{
    public class LogSummaryRepository : BaseRepository<LogSummary>, ILogSummaryRepository
    {
        protected readonly ILocalSugarUnitOfWork _suger;
        public IMapper mapper;
        public LogSummaryRepository(ILocalSugarUnitOfWork sugarUnitOfWork) : base(sugarUnitOfWork)
        {
            _suger = sugarUnitOfWork;
        }

        public async Task<bool> AddLogs(LogSummary model)
        {
            using (var context = _suger.GetDbClient())
            {
                try
                {

                    context.BeginTran();
                    var logSum = context.InsertNav(model)
                        .Include(z1=>z1.DetailList)
                        .ExecuteCommand();
                    context.CommitTran();
                }
                catch (Exception e)
                {
                    context.RollbackTran();
                    return false;
                    throw e;
                }
            }
            return true;
        }
    }
}
